#include <stdio.h>
#include <stdlib.h>
#include <math.h>
int main()
{
    int n,x,a,k=-100000,y=100000,b;
    scanf("%d %d",&n,&x);
    for(int i=0;i<n;i++)
    {
        scanf("%d",&a);
        if(a>k)
            k=a;
        if(a<y)
            y=a;
    }
    if(k<x)
        printf("%d",x-y);
    else if(y>x)
        printf("%d",k-x);
    else
    {
        if(x-y>k-x)
            printf("%d",2*(k-x)+x-y);
        else
            printf("%d",2*(x-y)+k-x);
    }

}